Skip to main content
GET
/
subcontractors
/
{id}
/
insurances
/
{insuranceId}
cURL
curl --request GET \
  --url https://api.buildpass.global/subcontractors/{id}/insurances/{insuranceId} \
  --header 'Authorization: Bearer <token>' \
  --header 'X-BuildPass-Api-Version: <x-buildpass-api-version>' \
  --header 'X-BuildPass-Builder-Id: <x-buildpass-builder-id>'
{
  "id": "doc_clgbsb90b001qjy0f0eo1hspp",
  "createdAt": "2023-10-03T23:19:35.771Z",
  "updatedAt": "2023-10-03T23:19:35.771Z",
  "expiry": "2023-10-03T23:19:35.771Z",
  "name": "Safety Certificate",
  "type": "PUBLIC_LIABILITY",
  "customType": "SDS",
  "status": "WAITING_REVIEW",
  "url": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developer.buildpass.global/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-BuildPass-Builder-Id
string
required

Call the /builders endpoint to get a builder ID

Example:

"buil_clgbsb90b001qjy0f0eo1hspp"

X-BuildPass-Api-Version
enum<string>
default:v1
required

What API version to use.

Available options:
v1
Example:

"v1"

Path Parameters

id
string
required
Example:

"sub_clgbsb90b001qjy0f0eo1hspp"

insuranceId
string
required
Example:

"doc_clgbsb90b001qjy0f0eo1hspp"

Response

A document object

id
string
Example:

"doc_clgbsb90b001qjy0f0eo1hspp"

createdAt
string<date-time>
Example:

"2023-10-03T23:19:35.771Z"

updatedAt
string<date-time>
Example:

"2023-10-03T23:19:35.771Z"

expiry
string<date-time>
Example:

"2023-10-03T23:19:35.771Z"

name
string
Example:

"Safety Certificate"

type
enum<string>
Available options:
PUBLIC_LIABILITY,
WORK_COVER,
OTHER
customType
string
Example:

"SDS"

status
enum<string>
Available options:
CHANGES_REQUESTED,
REVIEWED,
WAITING_REVIEW
Example:

"WAITING_REVIEW"

url
string<uri>